package net.wanji.web.common.enums;

/**
 * @author Kent HAN
 * @date 2022/10/27 10:10
 */
public enum ControlHistEnum {
    ONE(1, "时间表"),
    TWO(2, "全红"),
    THREE(3, "黄闪"),
    FOUR(4, "锁定"),
    FIVE(5, "中心优化"),
    SIX(6, "MEC优化"),
    SEVEN(7, "现场手动");

    private Integer code;
    private String msg;

    ControlHistEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public static String getMsgByCode(Integer code) {
        for (ControlHistEnum value : ControlHistEnum.values()) {
            if (value.code.equals(code)) {
                return value.msg;
            }
        }
        return null;
    }

    public String getMsg() {
        return msg;
    }
}
